<?php

declare(strict_types=1);

namespace Drupal\presigned_url\Signature;

/**
 * Interface defining constants for presigned URL signatures.
 */
interface PresignedUrlSignatureInterface {

  /**
   * Query parameter name for the signature algorithm.
   */
  public const QUERY_PARAM_ALGORITHM = 'psu-algorithm';

  /**
   * Query parameter name for the expiration time.
   */
  public const QUERY_PARAM_EXPIRES = 'psu-expires';

  /**
   * Query parameter name for the request date.
   */
  public const QUERY_PARAM_DATE = 'psu-date';

  /**
   * Query parameter name for the signature.
   */
  public const QUERY_PARAM_SIGNATURE = 'psu-signature';

}
